      program chi2_statistics
      implicit none
      character*255 str
      integer nu
      real*8 chi1,chi2,dchi
      real*8 chi,probq,eps
      real*8 gammq

      call getarg(1,str)
      read(str,*) nu
      call getarg(2,str)
      read(str,*) chi1
      call getarg(3,str)
      read(str,*) chi2
      call getarg(4,str)
      read(str,*) dchi

      chi = chi1
      eps = 1.d-8
      write(*,*) '# nu = N_data - M_parameters ... degrees of freedom',
     :  ' & chi2 & probq'
      do while (chi.le.chi2+eps)
        probq = gammq(nu/2.d0, chi/2.d0)
        write(*,*) nu, chi, probq
        chi = chi + dchi
      enddo

      end

