#!/usr/bin/gnuplot

set xl "iter"
set yl "chi^2"

set term x11

set logscale y

p \
  "<awk '{ print $1,$(NF-5); }' fit.log_HILDA" u 1:2 t "chi^2" w lp lt 1 ps 0.5,\
  "<awk '{ print $1,$(NF-9); }' fit.log_HILDA" u 1:2 t "LC"    w l,\
  "<awk '{ print $1,$(NF-8); }' fit.log_HILDA" u 1:2 t "VIS"   w l,\
  "<awk '{ print $1,$(NF-7); }' fit.log_HILDA" u 1:2 t "CLO"   w l,\
  "<awk '{ print $1,$(NF-6); }' fit.log_HILDA" u 1:2 t "T3"    w l
pa -1 

set term png small
set out "chi2_iter.png"
rep


