#!/usr/bin/gnuplot

set term png small
set out "pluto.png"

set xl "x [cm]"
set yl "y [cm]"
set cbl "I_nu [erg cm^-2 s^-1 Hz^-1 sr^-1]" offset 1,0

set cbr [0:0.01]

set pm3d map
set size ratio -1
set nokey
set zeroaxis

splot "fort" u 1:2:3


