#!/usr/bin/gnuplot

set term x11

set xl "lambda [Ang]"
set yl "F_lambda [erg s^-1 cm^-2 cm^-1]"

y1=0.0
y2=0.06
set yr [0:]

ps=0.5

load "wavelengths.lab"

p "<cat shellspectrum_*" u 1:4 w lp ps ps

pa -1

set term png small
set out "shellspectrum.png"
rep


