#!/usr/bin/gnuplot

set term x11

set xl "lambda [Ang]"
set yl "F_lambda [erg s^-1 cm^-2 cm^-1]"
set cbl "phase []"

set yr [0:]
set palette rgbformulae 7,5,15
set colorbox
set cbr [0:1]

ps=1
lw=3

p \
  "shellspectrum_0.2982" u 1:4 w l lc palette cb 0.2982 lw lw,\
  "shellspectrum_0.3331" u 1:4 w l lc palette cb 0.3331 lw lw,\
  "shellspectrum_0.4895" u 1:4 w l lc palette cb 0.4895 lw lw,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$6))  not w l lc palette cb 0.2982 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$7))  not w l lc palette cb 0.3331 ps ps,\
  "../../data_20170920/burnasev.dat" u 1:(10.**(-$8))  not w l lc palette cb 0.4895 ps ps,\

pa -1

set term png small size 1024,768
set out "shellspectrum_BURNASEV2.png"
rep


