#!/usr/bin/gnuplot

set term x11

set xl "u [cycles]"
set yl "v [cycles]"

set size ratio -1
set zeroaxis

p \
  "<awk '{ print; }' *.cp.syn.dat" u ($1/$6):($2/$6) t "all" w p lt 7 pt 1,\
  "<awk '{ print; }' *.cp.syn.dat" u ($3/$6):($4/$6) not     w p lt 7 pt 1,\
  "<awk '($NF+0>100){ print; }' *.cp.syn.dat" u ($1/$6):($2/$6) t "chi^2 > 100" w p lt 1 pt 6 ps 1.5,\
  "<awk '($NF+0>100){ print; }' *.cp.syn.dat" u ($3/$6):($4/$6) not             w p lt 1 pt 6 ps 1.5

pa -1

set term png small
set out "uv.png"
rep


